package com.game.business.mapper;

import java.util.List;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.game.business.domain.ShopSubOrder;

/**
 * 订单商品Mapper接口
 *
 * @author game
 * @date 2024-09-06
 */
public interface ShopSubOrderMapper extends BaseMapper<ShopSubOrder> {
    /**
     * 查询订单商品
     *
     * @param id 订单商品主键
     * @return 订单商品
     */
    public ShopSubOrder selectShopSubOrderById(Long id);

    /**
     * 查询订单商品列表
     *
     * @param shopSubOrder 订单商品
     * @return 订单商品集合
     */
    public List<ShopSubOrder> selectShopSubOrderList(ShopSubOrder shopSubOrder);

    /**
     * 新增订单商品
     *
     * @param shopSubOrder 订单商品
     * @return 结果
     */
    public int insertShopSubOrder(ShopSubOrder shopSubOrder);

    /**
     * 修改订单商品
     *
     * @param shopSubOrder 订单商品
     * @return 结果
     */
    public int updateShopSubOrder(ShopSubOrder shopSubOrder);

    /**
     * 删除订单商品
     *
     * @param id 订单商品主键
     * @return 结果
     */
    public int deleteShopSubOrderById(Long id);

    /**
     * 批量删除订单商品
     *
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteShopSubOrderByIds(Long[] ids);
}